Bug 23283 - cannot view/edit additional attributes in 18.11.x
Summary: cannot view/edit additional attributes in 18.11.x
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 18.11
Hardware: All All
: P5 - low critical (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 22910
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-08 21:00 UTC by Lucas Gass
Modified: 2019-07-11 15:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 23283: cannot view/edit additional attributes in 18.11.x (723 bytes, patch)
2019-07-08 21:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23283: Counter patch modifying the template (1.16 KB, patch)
2019-07-08 21:40 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23283: cannot view/edit additional attributes in 18.11.x (2.02 KB, patch)
2019-07-10 02:46 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23283: cannot view/edit additional attributes in 18.11.x (2.38 KB, patch)
2019-07-11 06:13 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 23283: cannot view/edit additional attributes in 18.11.x (2.44 KB, patch)
2019-07-11 15:08 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-07-08 21:00:56 UTC
TO TEST:

1. setup some additional patron attributes.
2. go to the patron details and add/edit "Additional attributes and identifiers"
3. see that no additional attributes show
Comment 1 Lucas Gass 2019-07-08 21:10:47 UTC
Created attachment 91419 [details] [review]
Bug 23283: cannot view/edit additional attributes in 18.11.x

TEST PLAN:
1. setup some additional patron attributes.
2. go to the patron details and add/edit "Additional attributes and identifiers"
3. see that no additional attributes show
4. apply patch
5. go to the patron details and add/edit "Additional attributes and identifiers"
6. additional attributes should show now
Comment 2 M. Tompsett 2019-07-08 21:40:22 UTC
Created attachment 91420 [details] [review]
Bug 23283: Counter patch modifying the template
Comment 3 Lucas Gass 2019-07-10 02:46:34 UTC
Created attachment 91434 [details] [review]
Bug 23283: cannot view/edit additional attributes in 18.11.x

TEST PLAN:
1. setup some additional patron attributes.
2. go to the patron details and add/edit "Additional attributes and identifiers"
3. see that no additional attributes show
4. apply patch
5. go to the patron details and add/edit "Additional attributes and identifiers"
6. additional attributes should show now
Comment 4 Chris Cormack 2019-07-11 06:13:12 UTC
Created attachment 91454 [details] [review]
Bug 23283: cannot view/edit additional attributes in 18.11.x

TEST PLAN:
1. setup some additional patron attributes.
2. go to the patron details and add/edit "Additional attributes and
identifiers"
3. see that no additional attributes show
4. apply patch
5. go to the patron details and add/edit "Additional attributes and
identifiers"
6. additional attributes should show now

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Katrin Fischer 2019-07-11 15:02:11 UTC
Tested with the help of sandboxes this time :) Will add my SO line later, but if you push, feel free to add it.

Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 6 PTFS Europe Sandboxes 2019-07-11 15:08:34 UTC
Created attachment 91467 [details] [review]
Bug 23283: cannot view/edit additional attributes in 18.11.x

TEST PLAN:
1. setup some additional patron attributes.
2. go to the patron details and add/edit "Additional attributes and
identifiers"
3. see that no additional attributes show
4. apply patch
5. go to the patron details and add/edit "Additional attributes and
identifiers"
6. additional attributes should show now

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Martin <martin.renvoize@ptfs-europe.com>
Comment 7 Lucas Gass 2019-07-11 15:17:21 UTC
backported to 18.11.x for 18.11.08

Thanks everyone.
Comment 8 Katrin Fischer 2019-07-11 15:19:16 UTC
Ok, using the sandbox that I didn't create myself went wrong - suspect a bug there as I told it so use my data for sign-off - not it was Martin :)